-- phpMyAdmin SQL Dump
-- version 2.6.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: localhost
-- Généré le : Mardi 01 Mai 2007 à 18:20
-- Version du serveur: 4.1.9
-- Version de PHP: 4.3.10
-- 
-- Base de données: `ppe`
-- 
CREATE DATABASE `ppe` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE ppe;

-- --------------------------------------------------------

-- 
-- Structure de la table `admin`
-- 

CREATE TABLE `admin` (
  `idmenu` int(11) NOT NULL default '0',
  `nom` varchar(50) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `admin`
-- 

INSERT INTO `admin` VALUES (6000, 'Administration');
INSERT INTO `admin` VALUES (6001, 'News');
INSERT INTO `admin` VALUES (6002, 'Matiére');
INSERT INTO `admin` VALUES (6003, 'Autres');
INSERT INTO `admin` VALUES (6004, 'Groupes');
INSERT INTO `admin` VALUES (6005, 'Comptes');
INSERT INTO `admin` VALUES (6006, 'Notes');
INSERT INTO `admin` VALUES (6007, 'Transfert');
INSERT INTO `admin` VALUES (6008, 'Nouvelle Année');

-- --------------------------------------------------------

-- 
-- Structure de la table `compte`
-- 

CREATE TABLE `compte` (
  `idcompte` int(11) NOT NULL auto_increment,
  `nom` varchar(50) NOT NULL default '',
  `prenom` varchar(50) NOT NULL default '',
  `login` varchar(50) NOT NULL default '',
  `mdp` varchar(50) NOT NULL default '',
  KEY `idcompte` (`idcompte`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- 
-- Contenu de la table `compte`
-- 

INSERT INTO `compte` VALUES (1, 'ROQUES', 'Xavier', 'nigerider', '098f6bcd4621d373cade4e832627b4f6');
INSERT INTO `compte` VALUES (3, 'test', 'tes2', 'test', '098f6bcd4621d373cade4e832627b4f6');

-- --------------------------------------------------------

-- 
-- Structure de la table `contenu`
-- 

CREATE TABLE `contenu` (
  `idmenu` int(11) NOT NULL default '0',
  `idsousmenu` int(11) NOT NULL default '0',
  `idcontenu` int(11) NOT NULL default '0',
  `titrecontenu` varchar(50) NOT NULL default '',
  `contenu` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `contenu`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `cours`
-- 

CREATE TABLE `cours` (
  `idmenu` int(11) NOT NULL default '0',
  `idsousmenu` int(11) NOT NULL default '0',
  `idcours` int(11) NOT NULL default '0',
  `titrecours` varchar(128) NOT NULL default '',
  `cours` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `cours`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `droits`
-- 

CREATE TABLE `droits` (
  `idgroupe` int(11) NOT NULL default '0',
  `idmenu` int(11) NOT NULL default '0',
  `droits` enum('l','e','m','a') NOT NULL default 'a'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `droits`
-- 

INSERT INTO `droits` VALUES (11, 202, 'a');
INSERT INTO `droits` VALUES (10, 6005, 'm');
INSERT INTO `droits` VALUES (10, 6004, 'm');
INSERT INTO `droits` VALUES (10, 6003, 'm');
INSERT INTO `droits` VALUES (10, 6002, 'm');
INSERT INTO `droits` VALUES (10, 6001, 'm');
INSERT INTO `droits` VALUES (1, 6000, 'a');
INSERT INTO `droits` VALUES (1, 200, 'a');
INSERT INTO `droits` VALUES (1, 204, 'l');
INSERT INTO `droits` VALUES (1, 202, 'l');
INSERT INTO `droits` VALUES (1, 203, 'a');
INSERT INTO `droits` VALUES (1, 1, 'a');
INSERT INTO `droits` VALUES (10, 1, 'm');
INSERT INTO `droits` VALUES (10, 203, 'm');
INSERT INTO `droits` VALUES (10, 202, 'm');
INSERT INTO `droits` VALUES (10, 204, 'm');
INSERT INTO `droits` VALUES (10, 200, 'm');
INSERT INTO `droits` VALUES (10, 6000, 'm');
INSERT INTO `droits` VALUES (11, 204, 'l');
INSERT INTO `droits` VALUES (11, 6003, 'a');
INSERT INTO `droits` VALUES (11, 200, 'l');
INSERT INTO `droits` VALUES (11, 6008, 'a');
INSERT INTO `droits` VALUES (11, 6007, 'a');
INSERT INTO `droits` VALUES (11, 6006, 'a');
INSERT INTO `droits` VALUES (11, 6005, 'a');
INSERT INTO `droits` VALUES (11, 6004, 'a');
INSERT INTO `droits` VALUES (11, 6002, 'a');
INSERT INTO `droits` VALUES (10, 6008, 'm');
INSERT INTO `droits` VALUES (10, 6006, 'm');
INSERT INTO `droits` VALUES (11, 6000, 'a');
INSERT INTO `droits` VALUES (11, 203, 'l');
INSERT INTO `droits` VALUES (11, 6001, 'a');
INSERT INTO `droits` VALUES (10, 6007, 'm');
INSERT INTO `droits` VALUES (11, 1, 'l');

-- --------------------------------------------------------

-- 
-- Structure de la table `externe`
-- 

CREATE TABLE `externe` (
  `idcompte` int(11) NOT NULL auto_increment,
  `nom` varchar(50) NOT NULL default '',
  `prenom` varchar(50) NOT NULL default '',
  `login` varchar(50) NOT NULL default '',
  `pass` varchar(50) NOT NULL default '',
  `ville` varchar(50) NOT NULL default '',
  `mail` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`idcompte`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

-- 
-- Contenu de la table `externe`
-- 

INSERT INTO `externe` VALUES (7, 'LAVRAT', 'Celine', 'lili', '777bbb7869ae8193249f8ff7d3e59afe', 'pouet', 'pouet@pouet.com');
INSERT INTO `externe` VALUES (5, 'Test', 'Test', 'pouet', 'd41d8cd98f00b204e9800998ecf8427e', 'pouet', 'pouet@pouet.com');
INSERT INTO `externe` VALUES (9, 'niarf', 'niarf', 'niarf', 'a33e5d2f65eb3fd895277269e5efb422', 'niarf', 'niarf@niarf.com');
INSERT INTO `externe` VALUES (10, '', '', '', 'd41d8cd98f00b204e9800998ecf8427e', '', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `groupe`
-- 

CREATE TABLE `groupe` (
  `idgroupe` int(11) NOT NULL default '0',
  `nomgroupe` varchar(50) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `groupe`
-- 

INSERT INTO `groupe` VALUES (1, 'Invités');
INSERT INTO `groupe` VALUES (2, 'Externes');
INSERT INTO `groupe` VALUES (10, 'Administrateur');
INSERT INTO `groupe` VALUES (11, 'TS2');

-- --------------------------------------------------------

-- 
-- Structure de la table `menuhaut`
-- 

CREATE TABLE `menuhaut` (
  `idmenu` int(11) NOT NULL default '0',
  `menu` varchar(50) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `menuhaut`
-- 

INSERT INTO `menuhaut` VALUES (1, 'Menu1');

-- --------------------------------------------------------

-- 
-- Structure de la table `menumatiere`
-- 

CREATE TABLE `menumatiere` (
  `idmenu` int(11) NOT NULL default '0',
  `menu` varchar(50) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `menumatiere`
-- 

INSERT INTO `menumatiere` VALUES (200, 'Matiere1');
INSERT INTO `menumatiere` VALUES (204, 'Matiere3');
INSERT INTO `menumatiere` VALUES (202, 'Matiere');
INSERT INTO `menumatiere` VALUES (203, 'Matiere2');

-- --------------------------------------------------------

-- 
-- Structure de la table `mp`
-- 

CREATE TABLE `mp` (
  `id` int(11) NOT NULL auto_increment,
  `idexp` int(11) NOT NULL default '0',
  `iddest` int(11) NOT NULL default '0',
  `sujet` varchar(50) NOT NULL default '',
  `message` text NOT NULL,
  `vu` smallint(1) NOT NULL default '0',
  `lu` smallint(1) NOT NULL default '0',
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- 
-- Contenu de la table `mp`
-- 

INSERT INTO `mp` VALUES (2, 3, 1, 'RE: test', 'Ceci est la reponse au test&lt;br /&gt;\r\n-------------------------------&lt;br /&gt;\r\n						Expediteur: ROQUES Xavier &lt;br/&gt;&lt;br /&gt;\r\n						Destinataire: test tes2 &lt;br/&gt;&lt;br /&gt;\r\n						Date: 01/01/1970 01h00 &lt;br/&gt;&lt;br /&gt;\r\n						&lt;br/&gt;&lt;br /&gt;\r\n												&lt;br/&gt;&lt;br /&gt;\r\n						', 0, 0, '2007-04-30 13:04:14');
INSERT INTO `mp` VALUES (3, 1, 0, 'RE:', 'Re test			--------------------------------\r\n						Expediteur: ROQUES Xavier						Destinataire: ROQUES Xavier						Date: 01/01/1970 01h00												', 1, 1, '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Structure de la table `news`
-- 

CREATE TABLE `news` (
  `id` int(11) NOT NULL auto_increment,
  `titre` varchar(255) NOT NULL default '',
  `contenu` text NOT NULL,
  `timstamp` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Contenu de la table `news`
-- 

INSERT INTO `news` VALUES (1, 'News 1', 'test d''une nouvelle news.', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Structure de la table `notes`
-- 

CREATE TABLE `notes` (
  `idmenu` int(11) NOT NULL default '0',
  `idcompte` int(11) NOT NULL default '0',
  `note` decimal(3,2) NOT NULL default '0.00',
  `coef` smallint(2) NOT NULL default '0',
  `trimestre` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `notes`
-- 

INSERT INTO `notes` VALUES (202, 1, 19.50, 11, 1);
INSERT INTO `notes` VALUES (202, 1, 15.25, 4, 1);
INSERT INTO `notes` VALUES (202, 1, 19.99, 19, 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `session`
-- 

CREATE TABLE `session` (
  `idcompte` int(11) NOT NULL default '0',
  `idgroupe` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `session`
-- 

INSERT INTO `session` VALUES (2, 0);
INSERT INTO `session` VALUES (0, 0);
INSERT INTO `session` VALUES (1, 10);
INSERT INTO `session` VALUES (3, 11);

-- --------------------------------------------------------

-- 
-- Structure de la table `sousmenuhaut`
-- 

CREATE TABLE `sousmenuhaut` (
  `idmenu` int(11) NOT NULL default '0',
  `idsousmenu` int(11) NOT NULL default '0',
  `sousmenu` varchar(50) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `sousmenuhaut`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `sousmenumatiere`
-- 

CREATE TABLE `sousmenumatiere` (
  `idmenu` int(11) NOT NULL default '0',
  `idsousmenu` int(11) NOT NULL default '0',
  `sousmenu` varchar(50) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `sousmenumatiere`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `transfert`
-- 

CREATE TABLE `transfert` (
  `id` int(11) NOT NULL auto_increment,
  `idmenu` int(11) NOT NULL default '0',
  `titre` varchar(50) NOT NULL default '',
  `desc` text NOT NULL,
  `file` varchar(50) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Contenu de la table `transfert`
-- 

